Package org.eclipse.mat.query.registry

## Interface ArgumentFactory

All Known Implementing Classes:
  `HeapObjectArgumentFactory`, `HeapObjectContextArgument`, `HeapObjectParamArgument`, `SnapshotArgument`

    public interface ArgumentFactory

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `appendUsage​(StringBuilder buf)`
`Object` `build​(ArgumentDescriptor descriptor)`

### Method Detail

#### build

    Object build​(ArgumentDescriptor descriptor)
          throws SnapshotException

Throws:
  `SnapshotException`

#### appendUsage

    void appendUsage​(StringBuilder buf)